Skip to main content
POST
/
app.rocksky.shout.removeShout
Remove a shout by its ID
curl --request POST \
  --url https://api.rocksky.app/xrpc/app.rocksky.shout.removeShout \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "message": "<string>",
  "parent": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "author": {
    "id": "<string>",
    "did": "<string>",
    "handle": "<string>",
    "displayName": "<string>",
    "avatar": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

OK

id
string

The unique identifier of the shout.

message
string

The content of the shout.

parent
string

The ID of the parent shout if this is a reply, otherwise null.

createdAt
string<date-time>

The date and time when the shout was created.

author
object